Changelog
=========

1.23
----
  - Archive given framerange (#50)

1.22
----
  - Update to nuke-16 (#49)

1.21
----
  - Collect footage with uppercase file extensions (#47)

  - Fix padding for remapped archive working file (#48)

1.20
----
  - Increase Archive startup speed (46)

    Archives run now immediately when archiving the current working file.
    Archiving external working files has also been speed up.

  - Implement Media Table (#43)

    The media table gives you an overview about your used assets and it lets
    you decide what to archive and what to ignore from an archive. 

  - Pause/Resume archive (#42)

    Now you can pause an archival when needed.

1.19
----  
  - Add resizable splitter between nukescripts and archive list (#33)

    The size of the nukescripts table and the archive table are now
    adjustable. Simply move the marker between both tables.

  - Search nukescript, search archive (#29)
  
    On the bottom you can now search for nukescripts and archive elements.
    This can be helpful once you have many items in your table.
  
  - Play configurable sound when archive has finished (#35)

    In the settings you can configure a sound to play once smartCollect
    finishes archiving. Use the reveal button to navigate to the sound
    directory. Drop in your custom .wav file (48 kHz) and chose it from
    the drop down menu.

  - Show file index and overall count when archiving (#32)

  - Fix: clicking nukescripts and archive buttons raise KeyError (#37)

1.18
----
  - Add nukescript from recent files (#22)
  
    Right click the Nukescripts list and add a nukescript from the
    recently worked file list.

  - Enlarge left and right sections (#23)

    Press 1 to view the Nukescripts list on the left only.
    Press 2 to view the archival list on the right only. Press
    1 or 2 again to view both views again.

  - Create footage report csv for archive (#24)

    Alongside of the archive_report.txt that contains technical
    information about the archive, smartCollects also exports a
    footage_report.csv file that represents a table of all
    archived media. For each media you see details about the
    source path, frame range, file type, resolution, size on disk,
    etc.
  
  - Add statistics to archive report (#28)
  
    The archive_report.txt contains now several additional statistics
    about your archive, e.g. Archive duration, number of nodes, number of 
    files, average archive duration per file, file size, nodes report, etc.

  - Skip collecting empty nodes (#20)
  
    Nodes that have no file path won't be collected anymore.
  
  - Add archival status label (#26)
  
    Add status labels when an archival starts and when it
    finished.

1.17
----
  - Update to nuke-15 (#21)

1.16
----
  - Add studio model (#18)
  - Add help menu (#19)

1.15
----
  - Update to nuke-14 (#17)

1.14
----
  - Fix dropping license into license window raises UnicodeDecodeError (#16)

1.13
----
  - Fix reading trial license data fails decrypting (#14)
  - Send email to license author when machine installs license (#15)

1.12
----
  - Port to Nuke-13 (#13)

1.11
----
  - Allow install if mac id is already in DB and license quantity is 0 (#11)

1.10
----
  - Speed up launching in offline mode

1.9
---
  - Fix frame padding gets static counter when archiving

1.8
---
  - Fix ignoring empty paths when searching for license in standalone mode
  - Improve trm_footage module, pre check file knob existence, sanitize paths

1.7
---
  - Fix archive path for relative mode under windows

1.6
---
  - Use OS native browser for selecting the archive root directory
  - Log currently archiving file before archiving it to keep correct file order

1.5
---
  - Open up for site licenses
  - Generate license by license file, login and install code
  - Update internal package structure

1.4
---
  - Collect footage inside Group nodes
  - Fix: Node connection does not stay in tact when auto converting gizmos to
    groups
  - Fix: File sequences will not get detected correctly when using an
    underscore instead of a dot before the file sequence number

1.3
---
  - Replace backward slashes with forward slashes in archived file paths
  - Fix calculated size of archive
  - Update color of archive button for current archive element
  - Add changelog

1.2
---
  - Use latest found Nuke version when running standalone

1.1
---
  - Add module files

1.0
---
  - Initial release
