"""Nuke menu.py to add all menus and commands oo Nuke's user interface."""

# Import third-party modules
import nuke

# Import local modules
from smartCollect import osl as smartcollect
from smartCollect.constants import ICONS


def add_to_menu():
    """Add menu and commands to Nuke's menu bar."""
    menu = nuke.menu("Nuke").addMenu("cragl/smartCollect", icon=ICONS["logo"])
    menu.addCommand("smartCollector", smartcollect.show)
    menu.addSeparator()
    menu.addCommand("&about", smartcollect.show_about_window)


add_to_menu()
